Bug 927879 (jspecview) - Review Request: jspecview - JAVA applets for the display of JCAMP-DX and AnIML/CML spectral files
Summary: Review Request: jspecview - JAVA applets for the display of JCAMP-DX and AnIM...
Keywords:
Status: CLOSED ERRATA
Alias: jspecview
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 927873
TreeView+ depends on / blocked
 
Reported: 2013-03-26 12:31 UTC by Susi Lehtola
Modified: 2014-06-24 22:07 UTC (History)
3 users (show)

Fixed In Version: jmol-13.0.15-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-23 12:30:34 UTC
spacewar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Susi Lehtola 2013-03-26 12:31:46 UTC
Spec URL: 
http://theory.physics.helsinki.fi/~jzlehtol/rpms/jspecview.spec

SRPM URL: 
http://theory.physics.helsinki.fi/~jzlehtol/rpms/jspecview-2-1.1158svn.fc18.src.rpm

Description: 
The JSpecView Project provides JAVA applets for the display of
JCAMP-DX and AnIML/CML spectral files.

Fedora Account System Username: jussilehtola

This package is necessary for updating JMol to version 13.

Comment 2 Eric Smith 2013-04-29 17:50:27 UTC
fedora-review points out issues with javadocs and bundled jar files.  Is there a reason why the javadocs aren't desired?  Here are excerpts from fedora-review:

Issues:
=======
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software'

Jar and class files in source
-----------------------------
./jspecview/JSpecView/libs/netscape.jar

Comment 3 Susi Lehtola 2013-04-30 13:29:25 UTC
Javadocs are now included. The bundled jar warning is spurious.

http://theory.physics.helsinki.fi/~jzlehtol/rpms/jspecview.spec

http://theory.physics.helsinki.fi/~jzlehtol/rpms/jspecview-2-2.1166svn.fc18.src.rpm

Comment 4 Eric Smith 2013-05-02 07:18:47 UTC
Should include as docs the README.txt, LICENSE.txt, COPYRIGHT.txt from JSpecView/extras.  And maybe the other files in that directory?

Comment 6 Eric Smith 2013-05-13 20:06:38 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


koji scratch build for rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5375097


Issues:
=======
- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software'


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jspecview-
     javadoc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "Unknown or generated", "*No copyright* LGPL
     (v2.1 or later)". 3 files have unknown license. Detailed output of
     licensecheck in /home/eric/fedora-
     review/927879-jspecview/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[-]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jspecview-2-3.1166svn.fc17.noarch.rpm
          jspecview-javadoc-2-3.1166svn.fc17.noarch.rpm
jspecview.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/jspecview-2/COPYRIGHT.txt
jspecview.noarch: E: incorrect-fsf-address /usr/share/doc/jspecview-2/COPYRIGHT.txt
jspecview.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/jspecview-2/LICENSE.txt
jspecview.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/jspecview-2/README.txt
jspecview.noarch: W: class-path-in-manifest /usr/share/java/jspecview.applet.2.0.10076.jar
jspecview.noarch: W: class-path-in-manifest /usr/share/java/jspecview.app.2.0.10076.jar
jspecview-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jspecview-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/javadoc/jspecview/doc/stylesheet.css
jspecview-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/javadoc/jspecview/doc/package-list
2 packages and 0 specfiles checked; 1 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jspecview-javadoc jspecview
jspecview-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jspecview-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/javadoc/jspecview/doc/stylesheet.css
jspecview-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/javadoc/jspecview/doc/package-list
jspecview.noarch: W: no-documentation
jspecview.noarch: W: class-path-in-manifest /usr/share/java/jspecview.app.2.0.10076.jar
jspecview.noarch: W: class-path-in-manifest /usr/share/java/jspecview.applet.2.0.10076.jar
2 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Jar and class files in source
-----------------------------
./jspecview/JSpecView/libs/netscape.jar


Requires
--------
jspecview-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

jspecview (rpmlib, GLIBC filtered):
    java
    jpackage-utils



Provides
--------
jspecview-javadoc:
    jspecview-javadoc

jspecview:
    jspecview



Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 927879

Comment 7 Eric Smith 2013-05-13 20:07:02 UTC
rpmlint is now picking up a few more warnings.  It would be nice to fix the end-of-line encodings and remove the class path from the manifests.  Assuming that you notify upstream of the incorrect FSF address, the package is

APPROVED

Comment 8 Susi Lehtola 2013-05-13 20:31:11 UTC
Thanks for the review.

I fixed the EOL encodings and notified upstream about the address, but couldn't figure out with a small amount of trying how to get rid of the classpath.

New Package SCM Request
=======================
Package Name: jspecview
Short Description: JAVA applets for the display of JCAMP-DX and AnIML/CML spectral files
Owners: jussilehtola
Branches: F-17 F-18 F-19
InitialCC:

Comment 9 Gwyn Ciesla 2013-05-14 11:15:24 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-05-14 15:42:57 UTC
jmol-13.0.15-1.fc19,jspecview-2-4.1169svn.fc19,naga-3.0-1.82svn.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jmol-13.0.15-1.fc19,jspecview-2-4.1169svn.fc19,naga-3.0-1.82svn.fc19

Comment 11 Fedora Update System 2013-05-14 15:43:31 UTC
jmol-13.0.15-1.fc18,jspecview-2-4.1169svn.fc18,naga-3.0-1.82svn.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jmol-13.0.15-1.fc18,jspecview-2-4.1169svn.fc18,naga-3.0-1.82svn.fc18

Comment 12 Fedora Update System 2013-05-14 17:47:20 UTC
jmol-13.0.15-1.fc19, jspecview-2-4.1169svn.fc19, naga-3.0-1.82svn.fc19 has been pushed to the Fedora 19 testing repository.

Comment 13 Fedora Update System 2013-05-23 12:30:34 UTC
jmol-13.0.15-1.fc18, jspecview-2-4.1169svn.fc18, naga-3.0-1.82svn.fc18 has been pushed to the Fedora 18 stable repository.

Comment 14 Fedora Update System 2013-05-24 20:19:19 UTC
jmol-13.0.15-1.fc19, jspecview-2-4.1169svn.fc19, naga-3.0-1.82svn.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.